---
title: "Helm Show Chart"
---

## helm show chart

show the chart's definition

### Synopsis


This command inspects a chart (directory, file, or URL) and displays the contents
of the Charts.yaml file


```
helm show chart [CHART] [flags]
```

### Options

```
      --ca-file string     verify certificates of HTTPS-enabled servers using this CA bundle
      --cert-file string   identify HTTPS client using this SSL certificate file
      --devel              use development versions, too. Equivalent to version '>0.0.0-0'. If --version is set, this is ignored
  -h, --help               help for chart
      --key-file string    identify HTTPS client using this SSL key file
      --keyring string     location of public keys used for verification (default "~/.gnupg/pubring.gpg")
      --password string    chart repository password where to locate the requested chart
      --repo string        chart repository url where to locate the requested chart
      --username string    chart repository username where to locate the requested chart
      --verify             verify the package before installing it
      --version string     specify the exact chart version to install. If this is not specified, the latest version is installed
```

### Options inherited from parent commands

```
      --add-dir-header                   If true, adds the file directory to the header
      --alsologtostderr                  log to standard error as well as files
      --debug                            enable verbose output
      --kube-apiserver string            the address and the port for the Kubernetes API server
      --kube-context string              name of the kubeconfig context to use
      --kube-token string                bearer token used for authentication
      --kubeconfig string                path to the kubeconfig file
      --log-backtrace-at traceLocation   when logging hits line file:N, emit a stack trace (default :0)
      --log-dir string                   If non-empty, write log files in this directory
      --log-file string                  If non-empty, use this log file
      --log-file-max-size uint           Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)
      --logtostderr                      log to standard error instead of files (default true)
  -n, --namespace string                 namespace scope for this request
      --registry-config string           path to the registry config file (default "~/.config/helm/registry.json")
      --repository-cache string          path to the file containing cached repository indexes (default "~/.cache/helm/repository")
      --repository-config string         path to the file containing repository names and URLs (default "~/.config/helm/repositories.yaml")
      --skip-headers                     If true, avoid header prefixes in the log messages
      --skip-log-headers                 If true, avoid headers when opening log files
      --stderrthreshold severity         logs at or above this threshold go to stderr (default 2)
  -v, --v Level                          number for the log level verbosity
      --vmodule moduleSpec               comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO

* [helm show](helm_show.md)	 - show information of a chart

###### Auto generated by spf13/cobra on 11-May-2020
